Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 708520

Summary: media-plugins/gimp-lqr-0.7.2 : fails to build with -fno-common or gcc-10
Product: Gentoo Linux Reporter: Toralf Förster <toralf>
Component: Current packagesAssignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it <maintainer-needed>
Status: RESOLVED FIXED    
Severity: normal CC: alex.iris.parker, sam
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 705764    
Attachments: emerge-info.txt
emerge-history.txt
environment
etc.portage.tbz2
logs.tbz2
media-plugins:gimp-lqr-0.7.2:20200206-063240.log
temp.tbz2
New ebuild with PATCHES listed
Patch including changes from upstream

Description Toralf Förster gentoo-dev 2020-02-06 22:22:23 UTC
/usr/include/gimp-2.0/libgimpwidgets/gimpwidgets.h:151:13: note: in expansion of macro ‘gimp_spin_button_new’
  151 | GtkWidget * gimp_spin_button_new   (/* return value: */
      |             ^~~~~~~~~~~~~~~~~~~~
x86_64-pc-linux-gnu-gcc  -O2 -pipe -march=native -fno-common -Wall  -Wl,-O1 -Wl,--as-needed -o gimp-lqr-plugin  main.o interface.o interface_I.o interface_aux.o preview.o layers_combo.o render.o io_functions.o altcoordinates.o altsizeentry.o -lglib-2.0 -lgimpui-2.0 -lgimpwidgets-2.0 -lgimpmodule-2.0 -lgimp-2.0 -lgimpmath-2.0 -lgimpconfig-2.0 -lgimpcolor-2.0 -lgimpbase-2.0 -lgegl-0.4 -lgegl-npd-0.4 -lm -Wl,--export-dynamic -lgmodule-2.0 -pthread -lglib-2.0 -ljson-glib-1.0 -lbabl-0.1 -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lcairo -lgdk_pixbuf-2.0 -lgio-2.0 -lpangoft2-1.0 -lpango-1.0 -lgobject-2.0 -lglib-2.0 -lfontconfig -lfreetype  -llqr-1 -lglib-2.0  
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: interface_I.o:(.bss+0x68): multiple definition of `state'; interface.o:(.bss+0x250): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: interface_I.o:(.bss+0x60): multiple definition of `dialog_state'; interface.o:(.bss+0x248): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop-libressl-20200202-131532

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.6
  [3]   python3.7 (fallback)
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *

java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Thu, 06 Feb 2020 04:28:51 +0000

emerge -qpvO media-plugins/gimp-lqr
[ebuild  N    ] media-plugins/gimp-lqr-0.7.2
Comment 1 Toralf Förster gentoo-dev 2020-02-06 22:22:26 UTC
Created attachment 612192 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-02-06 22:22:28 UTC
Created attachment 612194 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-02-06 22:22:31 UTC
Created attachment 612196 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-02-06 22:22:34 UTC
Created attachment 612198 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-02-06 22:22:37 UTC
Created attachment 612200 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-02-06 22:22:40 UTC
Created attachment 612202 [details]
media-plugins:gimp-lqr-0.7.2:20200206-063240.log
Comment 7 Toralf Förster gentoo-dev 2020-02-06 22:22:43 UTC
Created attachment 612204 [details]
temp.tbz2
Comment 8 Alex Parker 2020-10-06 03:06:29 UTC
Fixed upstream but I don't think they've released a new source tarball since. I filed a bug asking nicely for a new release with the fixes merged:

https://github.com/carlobaldassi/gimp-lqr-plugin/issues/7
Comment 9 Sam James archtester gentoo-dev Security 2020-10-06 03:07:31 UTC
(In reply to Alex Parker from comment #8)
> Fixed upstream but I don't think they've released a new source tarball
> since. I filed a bug asking nicely for a new release with the fixes merged:
> 
> https://github.com/carlobaldassi/gimp-lqr-plugin/issues/7

If they're not up for it, we can apply the patch(es) here?
Comment 10 Alex Parker 2020-10-06 03:12:23 UTC
I can prepare a patch with the pull request changes and attach it
Comment 11 Alex Parker 2020-10-06 18:20:10 UTC
Created attachment 664111 [details]
New ebuild with PATCHES listed
Comment 12 Alex Parker 2020-10-06 18:20:47 UTC
Created attachment 664114 [details, diff]
Patch including changes from upstream
Comment 13 Alex Parker 2020-10-06 18:21:21 UTC
Builds successfully on GCC 10 with the patch and ebuild I attached :>
Comment 14 Sam James archtester gentoo-dev Security 2020-10-06 18:25:04 UTC
(In reply to Alex Parker from comment #13)
> Builds successfully on GCC 10 with the patch and ebuild I attached :>

Thanks! Can you include the GCO sign off in a comment and I can apply these?
Comment 15 Alex Parker 2020-10-06 18:29:16 UTC
By making a contribution to this project, I certify that:

1. The contribution was created in whole or in part by me, and I have the right to submit it under the free software license indicated in the file; or
2. The contribution is based upon previous work that, to the best of my knowledge, is covered under an appropriate free software license, and I have the right under that license to submit that work with modifications, whether created in whole or in part by me, under the same free software license (unless I am permitted to submit under a different license), as indicated in the file; or
3. The contribution is a license text (or a file of similar nature), and verbatim distribution is allowed; or
4. The contribution was provided directly to me by some other person who certified 1., 2., 3., or 4., and I have not modified it.
I understand and agree that this project and the contribution are public and that a record of the contribution (including all personal information I submit with it, including my sign-off) is maintained indefinitely and may be redistributed consistent with this project or the free software license(s) involved.

-- 
Alexandra Parker
Comment 16 Alex Parker 2020-10-06 18:32:50 UTC
(In reply to Sam James from comment #14)
> (In reply to Alex Parker from comment #13)
> > Builds successfully on GCC 10 with the patch and ebuild I attached :>
> 
> Thanks! Can you include the GCO sign off in a comment and I can apply these?

I don't know if I did that right but that's what I found here: https://www.gentoo.org/glep/glep-0076.html#certificate-of-origin
Comment 17 Sam James archtester gentoo-dev Security 2020-10-07 18:20:48 UTC
(In reply to Alex Parker from comment #16)
> (In reply to Sam James from comment #14)
> > (In reply to Alex Parker from comment #13)
> > > Builds successfully on GCC 10 with the patch and ebuild I attached :>
> > 
> > Thanks! Can you include the GCO sign off in a comment and I can apply these?
> 
> I don't know if I did that right but that's what I found here:
> https://www.gentoo.org/glep/glep-0076.html#certificate-of-origin

You can include the short version (Signed-off-by: Real Name <email>) but this actually works fine. :)
Comment 18 Larry the Git Cow gentoo-dev 2020-10-07 18:46:10 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f2e63030ebfbcf3efea6a9a4bffe40acb4df454f

commit f2e63030ebfbcf3efea6a9a4bffe40acb4df454f
Author:     Alexandra Parker <alex.iris.parker@gmail.com>
AuthorDate: 2020-10-07 18:27:33 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-10-07 18:46:05 +0000

    media-plugins/gimp-lqr: fix GCC 10 (-fno-common) build
    
    Closes: https://bugs.gentoo.org/708520
    Signed-off-by: Alexandra Parker <alex.iris.parker@gmail.com>
    Signed-off-by: Sam James <sam@gentoo.org>

 .../files/gimp-lqr-0.7.2-gcc-10-fno-common.patch   | 52 ++++++++++++++++++++++
 media-plugins/gimp-lqr/gimp-lqr-0.7.2.ebuild       |  4 ++
 2 files changed, 56 insertions(+)
Comment 19 Sam James archtester gentoo-dev Security 2020-10-07 18:46:25 UTC
Thank you!
Comment 20 Alex Parker 2020-10-08 22:33:38 UTC
Upstream just released... 0.7.2? Isn't that this version? Anyway, the source tarball is on GitHub and was cut 2 hours ago:

https://github.com/carlobaldassi/gimp-lqr-plugin/releases

I haven't tried it yet.
Comment 21 Sam James archtester gentoo-dev Security 2020-10-08 22:47:28 UTC
(In reply to Alex Parker from comment #20)
> Upstream just released... 0.7.2? Isn't that this version? Anyway, the source
> tarball is on GitHub and was cut 2 hours ago:
> 
> https://github.com/carlobaldassi/gimp-lqr-plugin/releases
> 
> I haven't tried it yet.

Uhhh. Oh man.
Comment 22 Sam James archtester gentoo-dev Security 2020-10-08 22:52:26 UTC
(In reply to Sam James from comment #21)
> (In reply to Alex Parker from comment #20)
> > Upstream just released... 0.7.2? Isn't that this version? Anyway, the source
> > tarball is on GitHub and was cut 2 hours ago:
> > 
> > https://github.com/carlobaldassi/gimp-lqr-plugin/releases
> > 
> > I haven't tried it yet.
> 
> Uhhh. Oh man.

I'm so confused. It doesn't build for me with GCC 10.